<template>
  <div>
    <v-data-table
      :headers="headers"
      :items="fetchedAssetInformation"
      item-key="asset_number"
      class="elevation-1"
      :search="search"
    >
      <template v-slot:top>
        <v-text-field
          v-model="search"
          label="Search"
          class="mx-4"
        ></v-text-field>
      </template>
    </v-data-table>
  </div>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  data() {
    return {
      search: null
    };
  },
  computed: {
    ...mapGetters(["fetchedAssetInformation"]),
    headers() {
      return [
        {
          text: "자산번호",
          align: "start",
          sortable: false,
          value: "asset_number"
        },
        { text: "자산명", value: "asset_name" },
        { text: "보관장소", value: "asset_where" },
        { text: "확인 시간", value: "asset_check_time" },
        { text: "확인 횟수", value: "asset_count" },
        { text: "특이사항", value: "asset_comment" }
      ];
    }
  }
};
</script>
